Bug 197959 - chkconfig TCL daemon startup issue causes child process to exit abnormally
chkconfig TCL daemon startup issue causes child process to exit abnormally
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: initscripts (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-07-07 13:15 EDT by John Brearley
Modified: 2014-03-16 23:00 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 15:32:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Brearley 2006-07-07 13:15:33 EDT
Description of problem:
If chkconfig is used to set up a TCL based daemon when the PC boots, some of the
children processes created by the daemon will fail with "child process exited
abnormally". The same TCL daemon works fine when started up by crond. This is my
current workaround, namely to have chkconfig default the daemon off at startup
time and let crond start the daemon a minute later. 

Version-Release number of selected component (if applicable):
FC5 2.6.15-1.2054_FC5, TCL 8.4.13

How reproducible:
On demand by the TCL daeamon.

Steps to Reproduce:
1. I will send you the TCL daemon and documentation for you to setup when you
are ready to look at the issue.
2.
3.
  
Actual results:
In general terms, the TCL daemon listens on a selected port. Incoming commands
are passed to the OS for execution. In this case, the daemon takes the following
commands {#!/bin/csh} {setenv DISPLAY :0.0} {setenv XAUTHORITY ~/.Xauthority}
{xhost +localhost}, writes them to a temporay file, makes it executable, then
does "su - root -c /root/scripts/multi_ws_slave_daemon_temp_4.sh" and gets the
error "child process exited abnormally".

Expected results:
The same sequence works fine, with no errors, if crond is the one to start the
TCL daemon.

Additional info:
This issue occurs on both my Fedora Core 5 machines. One is an AMD 1.8Ghz HP
laptop model ze2315us. The other machine is an Intel Pentium 3 800Mhz with an
ASUS motherboard.

This issue does not happen with on the same machines when they are booted with
Red Hat 9 or Solaris 10.
Comment 1 Bill Nottingham 2006-07-07 13:34:34 EDT
Sure, attach it.
Comment 2 Bill Nottingham 2007-09-18 15:32:37 EDT
Closing, no response.

Note You need to log in before you can comment on or make changes to this bug.